OpenNMS API 1.2.9

## org.opennms.netmgt.config.views
Class Membership

    java.lang.Object
      org.opennms.netmgt.config.views.Membership

All Implemented Interfaces:
  java.io.Serializable

public class Membership
extends java.lang.Object
implements java.io.Serializable

Version:
  $Revision$ $Date$
See Also:
  Serialized Form

Field Summary
`private java.util.ArrayList` `_memberList`
`private java.util.Vector` `propertyChangeListeners`

Constructor Summary
`Membership()`

Method Summary
`void` `addMember(int index, Member vMember)`
`void` `addMember(Member vMember)`
`void` `addPropertyChangeListener(java.beans.PropertyChangeListener pcl)` Registers a PropertyChangeListener with this class.
`void` `clearMember()`
`java.util.Enumeration` `enumerateMember()`
`boolean` `equals(java.lang.Object obj)` Note: hashCode() has not been overriden
`Member[]` `getMember()`
`Member` `getMember(int index)`
`java.util.Collection` `getMemberCollection()`
`int` `getMemberCount()`
`boolean` `isValid()`
`void` `marshal(org.xml.sax.DocumentHandler handler)`
`void` `marshal(java.io.Writer out)`
`protected void` `notifyPropertyChangeListeners(java.lang.String fieldName, java.lang.Object oldValue, java.lang.Object newValue)` Notifies all registered PropertyChangeListeners when a bound property's value changes.
`boolean` `removeMember(Member vMember)`
`boolean` `removePropertyChangeListener(java.beans.PropertyChangeListener pcl)` Removes the given PropertyChangeListener from this classes list of ProperyChangeListeners.
`void` `setMember(int index, Member vMember)`
`void` `setMember(Member[] memberArray)`
`void` `setMemberCollection(java.util.Collection vMember)`
`static Membership` `unmarshal(java.io.Reader reader)`
`void` `validate()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### _memberList

    private java.util.ArrayList _memberList

### propertyChangeListeners

    private java.util.Vector propertyChangeListeners

Constructor Detail

### Membership

    public Membership()

Method Detail

### addMember

    public void addMember(Member vMember)
                   throws java.lang.IndexOutOfBoundsException

  Parameters:
    `vMember` -
  Throws:
    `java.lang.IndexOutOfBoundsException`

### addMember

    public void addMember(int index,
                          Member vMember)
                   throws java.lang.IndexOutOfBoundsException

  Parameters:
    `index` -
    `vMember` -
  Throws:
    `java.lang.IndexOutOfBoundsException`

### addPropertyChangeListener

    public void addPropertyChangeListener(java.beans.PropertyChangeListener pcl)

  Registers a PropertyChangeListener with this class.

  Parameters:
    `pcl` - The PropertyChangeListener to register.

### clearMember

    public void clearMember()

### enumerateMember

    public java.util.Enumeration enumerateMember()

### equals

    public boolean equals(java.lang.Object obj)

  Note: hashCode() has not been overriden

  Parameters:
    `obj` -

### getMember

    public Member getMember(int index)
                     throws java.lang.IndexOutOfBoundsException

  Parameters:
    `index` -
  Throws:
    `java.lang.IndexOutOfBoundsException`

### getMember

    public Member[] getMember()

### getMemberCollection

    public java.util.Collection getMemberCollection()

### getMemberCount

    public int getMemberCount()

### isValid

    public boolean isValid()

### marshal

    public void marshal(java.io.Writer out)
                 throws org.exolab.castor.xml.MarshalException,
                        org.exolab.castor.xml.ValidationException

  Parameters:
    `out` -
  Throws:
    `org.exolab.castor.xml.MarshalException`
    `org.exolab.castor.xml.ValidationException`

### marshal

    public void marshal(org.xml.sax.DocumentHandler handler)
                 throws org.exolab.castor.xml.MarshalException,
                        org.exolab.castor.xml.ValidationException

  Parameters:
    `handler` -
  Throws:
    `org.exolab.castor.xml.MarshalException`
    `org.exolab.castor.xml.ValidationException`

### notifyPropertyChangeListeners

    protected void notifyPropertyChangeListeners(java.lang.String fieldName,
                                                 java.lang.Object oldValue,
                                                 java.lang.Object newValue)

  Notifies all registered PropertyChangeListeners when a bound property's value changes.

  Parameters:
    `fieldName` - the name of the property that has changed.
    `newValue` - the new value of the property.
    `oldValue` - the old value of the property.

### removeMember

    public boolean removeMember(Member vMember)

  Parameters:
    `vMember` -

### removePropertyChangeListener

    public boolean removePropertyChangeListener(java.beans.PropertyChangeListener pcl)

  Removes the given PropertyChangeListener from this classes list of ProperyChangeListeners.

  Parameters:
    `pcl` - The PropertyChangeListener to remove.
  Returns:
    true if the given PropertyChangeListener was removed.

### setMember

    public void setMember(int index,
                          Member vMember)
                   throws java.lang.IndexOutOfBoundsException

  Parameters:
    `index` -
    `vMember` -
  Throws:
    `java.lang.IndexOutOfBoundsException`

### setMember

    public void setMember(Member[] memberArray)

  Parameters:
    `memberArray` -

### setMemberCollection

    public void setMemberCollection(java.util.Collection vMember)

  Parameters:
    `vMember` -

### unmarshal

    public static Membership unmarshal(java.io.Reader reader)
                                throws org.exolab.castor.xml.MarshalException,
                                       org.exolab.castor.xml.ValidationException

  Parameters:
    `reader` -
  Throws:
    `org.exolab.castor.xml.MarshalException`
    `org.exolab.castor.xml.ValidationException`

### validate

    public void validate()
                  throws org.exolab.castor.xml.ValidationException

  Throws:
    `org.exolab.castor.xml.ValidationException`

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.